This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 767332 - [abrt] gnome-settings-daemon-3.2.2-1.fc16: idle_set_mode: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.2.2-1.fc16: idle_set_mode: Process /usr/libexe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:81cb0962b31c5a052278b7704fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 15:06 EST by briige
Modified: 2013-02-13 07:12 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:12:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (14.44 KB, text/plain)
2011-12-13 15:06 EST, briige
no flags Details
File: build_ids (5.81 KB, text/plain)
2011-12-13 15:06 EST, briige
no flags Details
File: var_log_messages (12.83 KB, text/plain)
2011-12-13 15:06 EST, briige
no flags Details
File: maps (63.93 KB, text/plain)
2011-12-13 15:06 EST, briige
no flags Details
File: backtrace (42.50 KB, text/plain)
2011-12-13 15:06 EST, briige
no flags Details
File: backtrace (51.20 KB, text/plain)
2012-02-10 14:41 EST, Peter
no flags Details
File: backtrace (51.32 KB, text/plain)
2012-02-13 07:20 EST, Peter
no flags Details
File: backtrace (45.81 KB, text/plain)
2012-02-21 13:16 EST, Luya Tshimbalanga
no flags Details
File: backtrace (45.92 KB, text/plain)
2012-02-24 19:33 EST, António Lima
no flags Details
File: backtrace (43.28 KB, text/plain)
2012-03-03 04:17 EST, eldavio
no flags Details
File: backtrace (38.67 KB, text/plain)
2012-03-04 07:40 EST, jarodpt81
no flags Details
File: backtrace (38.68 KB, text/plain)
2012-03-10 07:28 EST, jarodpt81
no flags Details
File: backtrace (40.69 KB, text/plain)
2012-03-12 17:36 EDT, jarodpt81
no flags Details
File: backtrace (45.01 KB, text/plain)
2012-03-15 23:08 EDT, miguel
no flags Details
File: backtrace (35.02 KB, text/plain)
2012-03-16 06:46 EDT, jarodpt81
no flags Details
File: backtrace (33.53 KB, text/plain)
2012-03-16 16:23 EDT, jarodpt81
no flags Details
File: backtrace (33.09 KB, text/plain)
2012-03-16 16:30 EDT, jarodpt81
no flags Details
File: backtrace (33.11 KB, text/plain)
2012-03-16 16:31 EDT, jarodpt81
no flags Details
File: backtrace (45.23 KB, text/plain)
2012-05-07 02:40 EDT, Peter H. Jones
no flags Details

  None (edit)
Description briige 2011-12-13 15:06:35 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: idle_set_mode
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.1.5-1.fc16.x86_64
pid:            2581
pwd:            /home/bb
reason:         Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
time:           mar. 13 déc. 2011 20:39:30 CET
uid:            1000
username:       bb

backtrace:      Text file, 43523 bytes
build_ids:      Text file, 5945 bytes
dso_list:       Text file, 14788 bytes
maps:           Text file, 65469 bytes
var_log_messages: Text file, 13143 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=bb
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=73af010b69aa2774b0e9e46f00000013-1323804964.982620-647747530
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-mBedJd
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=bb
:USERNAME=bb
:MAIL=/var/spool/mail/bb
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/bb/.local/bin:/home/bb/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/bb
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2236
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/bb
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=bb
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EGe1GtxChb,guid=f8eb9bbe980e544a92a6b5a0000001f2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/bb
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-bb-gl1WuR/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2242,unix/unix:/tmp/.ICE-unix/2242
:GPG_AGENT_INFO=/tmp/keyring-mBedJd/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-mBedJd/ssh
:DESKTOP_AUTOSTART_ID=10225bc49d3231199a132380496537110900000022420001

xsession_errors:
:gnome-session[1513]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal
:(gnome-settings-daemon:1875): color-plugin-WARNING **: failed to get edid: unable to get EDID for output
:gnome-session[1513]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal
:(gnome-settings-daemon:2037): color-plugin-WARNING **: failed to get edid: unable to get EDID for output
Comment 1 briige 2011-12-13 15:06:39 EST
Created attachment 546375 [details]
File: dso_list
Comment 2 briige 2011-12-13 15:06:41 EST
Created attachment 546376 [details]
File: build_ids
Comment 3 briige 2011-12-13 15:06:44 EST
Created attachment 546377 [details]
File: var_log_messages
Comment 4 briige 2011-12-13 15:06:47 EST
Created attachment 546378 [details]
File: maps
Comment 5 briige 2011-12-13 15:06:50 EST
Created attachment 546379 [details]
File: backtrace
Comment 6 Peter 2012-02-10 14:41:42 EST
It happened while I was using Google chrome. 
It may have been just a coincidence though.


backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 7 Peter 2012-02-10 14:41:51 EST
Created attachment 560961 [details]
File: backtrace
Comment 8 Peter 2012-02-13 07:20:06 EST
The problem occured the same second I disconnected my AC-adapter.
Just a second after the "Oops, something has gone wrong" shows up and I'm forced to log off. 
I've been running my computer with the Ac-adapter connected for days without a problem.


backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 9 Peter 2012-02-13 07:20:10 EST
Created attachment 561519 [details]
File: backtrace
Comment 10 Hin-Tak Leung 2012-02-14 15:49:11 EST
just a 'me too'. Moved between rooms and on battery for a while, and gnome-shell repeatedly crashing, and could not log in even after reboot, until I plug the AC -power back in:

--------------------
Feb 14 00:53:23 localhost kernel: [40688.773231] gnome-settings-[1599]: segfault at 8 ip 00007fefd89d7b97 sp 00007fffe7b90360 error 4 in libpower.so[7fefd89c9000+18000]
Feb 14 00:54:40 localhost kernel: [40765.267892] gnome-settings-[20308]: segfault at 8 ip 00007fbb7d6eeb97 sp 00007fff55a7efb0 error 4 in libpower.so[7fbb7d6e0000+18000]
Feb 14 00:55:20 localhost kernel: [40805.475706] gnome-settings-[20438]: segfault at 8 ip 00007f8a41eccb97 sp 00007fff67f202d0 error 4 in libpower.so[7f8a41ebe000+18000]
Feb 14 00:57:27 localhost kernel: [40931.985376] gnome-settings-[20633]: segfault at 8 ip 00007f45b1013b97 sp 00007fff57e1f020 error 4 in libpower.so[7f45b1005000+18000]
Feb 14 00:58:28 localhost kernel: [40993.065590] gnome-settings-[20832]: segfault at 8 ip 00007fc2d8660b97 sp 00007fffb8bd6180 error 4 in libpower.so[7fc2d8652000+18000]
Feb 14 00:58:44 localhost kernel: [41008.916111] gnome-settings-[20941]: segfault at 8 ip 00007f48dcac8b97 sp 00007fffbe351f70 error 4 in libpower.so[7f48dcaba000+18000]
Feb 14 01:00:34 localhost kernel: [   56.115512] gnome-settings-[1355]: segfault at 8 ip 00007fcf8efd5b97 sp 00007fffe918c110 error 4 in libpower.so[7fcf8efc7000+18000]
Feb 14 01:01:05 localhost kernel: [   86.954547] gnome-settings-[1589]: segfault at 8 ip 00007f042cc16b97 sp 00007fff586e0810 error 4 in libpower.so[7f042cc08000+18000]
Feb 14 01:01:30 localhost kernel: [  112.080509] gnome-settings-[1689]: segfault at 8 ip 00007ffc425b9b97 sp 00007fffbfbe9cb0 error 4 in libpower.so[7ffc425ab000+18000]
Feb 14 01:02:04 localhost kernel: [  146.305222] gnome-settings-[2706]: segfault at 8 ip 00007f6966ad2b97 sp 00007fff40c97650 error 4 in libpower.so[7f6966ac4000+18000]
Feb 14 01:02:13 localhost kernel: [  155.849329] gnome-settings-[3459]: segfault at 8 ip 00007f05b1b10b97 sp 00007fff695beaf0 error 4 in libpower.so[7f05b1b02000+18000]
--------------

Hardware is Toshiba A210, laptop, gnome-settings-daemon-3.2.2-1.fc16.x86_64 .

Beside the ubuntu bug, there is another at the archlinux forum:
https://bbs.archlinux.org/viewtopic.php?id=127461

My brightness is also at -5 with AC, like in the ubuntu bug comment:

cat /sys/class/backlight/toshiba/brightness
-5
Comment 11 Luya Tshimbalanga 2012-02-21 13:16:41 EST
Crash occurred after unplugged the laptop. gnome-gsettings works fine if the laptop is plugged to the power source.

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 12 Luya Tshimbalanga 2012-02-21 13:16:45 EST
Created attachment 564762 [details]
File: backtrace
Comment 13 António Lima 2012-02-24 19:33:40 EST
When I disconnect the computer from the power source and use hust the battery gnome-settings-daemon crashes.

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 14 António Lima 2012-02-24 19:33:46 EST
Created attachment 565699 [details]
File: backtrace
Comment 15 António Lima 2012-02-24 19:37:12 EST
Here's a little trick: If you're using gnome-shell and it crashes due to the gnome-settings-daemnon crash, just hit alt+f4 and the black crash message will be closed and you'll return to your desktop with no need to reboot or log of.

Works for me everytime.
Comment 16 Hin-Tak Leung 2012-02-25 08:18:26 EST
(In reply to comment #15)
> Here's a little trick: If you're using gnome-shell and it crashes due to the
> gnome-settings-daemnon crash, just hit alt+f4 and the black crash message will
> be closed and you'll return to your desktop with no need to reboot or log of.

Hmm, that little trick should probably be written on the crash page (i.e. try this first, and logout/re-login. reboot if it does not).

BTW, I have been using a patched version of gnome-settings-demon, using the small patch at the bottom of Ubuntu report:

https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/918421

That seems to fix it.

Oh, the ubuntu report mentions this one, I didn't realise the relationship is not recipical.
Comment 17 eldavio 2012-03-03 04:17:14 EST
Disconnect laptop from ac adaptor

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 18 eldavio 2012-03-03 04:17:22 EST
Created attachment 567257 [details]
File: backtrace
Comment 19 jarodpt81 2012-03-04 07:40:16 EST
just pluged in a external hard-disk drive

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 20 jarodpt81 2012-03-04 07:40:22 EST
Created attachment 567396 [details]
File: backtrace
Comment 21 Juergen Schraten 2012-03-10 04:55:20 EST
Having the same problem: Whenever I run my x86_64 on battery, gnome-settings-daemon crashes immediately or after a minute at the latest.

No problems when plugged in.

Found this:
https://bbs.archlinux.org/viewtopic.php?id=127461

So I moved /usr/lib64/gnome-settings-daemon-3.0/libpower.so to a different place and now I'm able to run my laptop on battery without having gnome-settings-daemon crashing all the time.

Of course, this is a workaround and no solution at all.
Comment 22 Juergen Schraten 2012-03-10 05:01:33 EST
Addition to #21:
The problem that I've no battery status symbol in the task bar any more - of course this is a crucial problem!
Comment 23 Hin-Tak Leung 2012-03-10 07:15:13 EST
(In reply to comment #21)
> https://bbs.archlinux.org/viewtopic.php?id=127461

Already mentioned this url in comment 10...

(In reply to comment #22)
> Addition to #21:
> The problem that I've no battery status symbol in the task bar any more - of
> course this is a crucial problem!


(In reply to comment #16)
> BTW, I have been using a patched version of gnome-settings-demon, using the
> small patch at the bottom of Ubuntu report:
> 
> https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/918421
> 
> That seems to fix it.

BTW, you could have looked at my comment 16...
Comment 24 jarodpt81 2012-03-10 07:28:52 EST
Just opened a website in firefox

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 25 jarodpt81 2012-03-10 07:28:57 EST
Created attachment 569081 [details]
File: backtrace
Comment 26 jarodpt81 2012-03-12 17:36:05 EDT
running on baterie only

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 27 jarodpt81 2012-03-12 17:36:15 EDT
Created attachment 569509 [details]
File: backtrace
Comment 28 miguel 2012-03-15 23:08:14 EDT
this crash & subsequent "Oh No..." unrecoverable error message only happen when the laptop is on battery power

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.1-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 29 miguel 2012-03-15 23:08:26 EDT
Created attachment 570477 [details]
File: backtrace
Comment 30 jarodpt81 2012-03-16 06:46:02 EDT
running on batery only

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 31 jarodpt81 2012-03-16 06:46:08 EDT
Created attachment 570567 [details]
File: backtrace
Comment 32 jarodpt81 2012-03-16 16:23:19 EDT
Just can't run fedora only on battery

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 33 jarodpt81 2012-03-16 16:23:26 EDT
Created attachment 570698 [details]
File: backtrace
Comment 34 jarodpt81 2012-03-16 16:30:21 EDT
Same problem, fedora running only on batery

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 35 jarodpt81 2012-03-16 16:30:26 EDT
Created attachment 570702 [details]
File: backtrace
Comment 36 jarodpt81 2012-03-16 16:31:36 EDT
Fedora running on batery again...

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 37 jarodpt81 2012-03-16 16:31:42 EDT
Created attachment 570703 [details]
File: backtrace
Comment 38 Hin-Tak Leung 2012-03-16 16:59:49 EDT
I haven't had a crash since I applied the patch in the middle of this ubuntu report. (I mentioned this in comment 16): 

https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/918421

Anybody else wants to corroborate this?

BTW, is anybody suffering from this problem *not* with a Toshiba laptop? It seems to be a Toshiba-LCD-related, at least all the reports which mentions hardware.
Comment 39 Hin-Tak Leung 2012-04-07 13:35:22 EDT
(In reply to comment #38)
> I haven't had a crash since I applied the patch in the middle of this ubuntu
> report. (I mentioned this in comment 16): 
> 
> https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/918421
> 
> Anybody else wants to corroborate this?
> 
> BTW, is anybody suffering from this problem *not* with a Toshiba laptop? It
> seems to be a Toshiba-LCD-related, at least all the reports which mentions
> hardware.

I just had a crash, because normal regular yum upgrade over-written my patched gnome-settings-daemon (against 3.2.2-1) with gnome-settings-daemon-3.2.2-2 . Apparently I installed gnome-settings-daemon-3.2.2-2 three days ago. I have not had a crash for over 7 weeks, then have one after having my patched version over-written.

(In reply to comment #15)
> Here's a little trick: If you're using gnome-shell and it crashes due to the
> gnome-settings-daemnon crash, just hit alt+f4 and the black crash message will
> be closed and you'll return to your desktop with no need to reboot or log of.
> 
> Works for me everytime.

FWIW, this did work. But I would rather it did not crash (like with my patched version for 7 weeks).
Comment 40 Hugo Machado 2012-04-19 11:07:07 EDT
(In reply to comment #15)
> Here's a little trick: If you're using gnome-shell and it crashes due to the
> gnome-settings-daemnon crash, just hit alt+f4 and the black crash message will
> be closed and you'll return to your desktop with no need to reboot or log of.
> 
> Works for me everytime.

alt+f4 just works like a charm (I'm running Fedora 16 64)! Thank you for this precious trick. That's why Linux users are different. Cheers.
Comment 41 Peter H. Jones 2012-05-07 02:40:32 EDT
Installed a fresh FC16. Applied updates. Tried to use USB Bluetooth device. After I shut down and rebooted without the USB card, I got a crash that prevented completioin of rebooting FC16.

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 42 Peter H. Jones 2012-05-07 02:40:41 EDT
Created attachment 582540 [details]
File: backtrace
Comment 43 Hin-Tak Leung 2012-05-12 00:46:13 EDT
(In reply to comment #39)
> (In reply to comment #38)
> > I haven't had a crash since I applied the patch in the middle of this ubuntu
> > report. (I mentioned this in comment 16): 
> > 
> > https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/918421
> > 
> > Anybody else wants to corroborate this?

Can somebody push that patch upstream?! I just had a crash after not having it for over a whole month. I looked andit was because the regular yum upgrade overwritten my patched gnome-setting-daemon a few days ago. sigh.
Comment 44 Gian Paolo Mureddu 2012-07-04 21:52:39 EDT
Start a new session from cold boot

backtrace_rating: 4
Package: gnome-settings-daemon-3.2.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 45 Hin-Tak Leung 2012-07-04 22:37:53 EDT
I have tried the usual (disconnecting mains and run on battery for a while) and no longer have the same problem with fedora 17/gnome 3.4 . Probably this just needs an upgrade...
Comment 46 Fedora End Of Life 2013-01-16 07:08:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 47 Fedora End Of Life 2013-02-13 07:12:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.